unit FormAanestys;
(*
   nestyspohja.

   Muokattu: 4.8.2004 / Miika Nurminen
*)
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Series;

type
  TFormAanestyspohja = class(TForm)
    RadioGroupAanestys: TRadioGroup;
    ButtonAanesta: TButton;
    LabelAanet: TLabel;
    procedure ButtonAanestaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    //kylla, ei, eos: integer;
    aanet : array of integer;
    Flkm : integer;
    procedure paivita();
  public
    property lkm:integer read Flkm;
  end;

var
  FormAanestyspohja: TFormAanestyspohja;
//  kylla, ei, eos: integer;  // VL: EI IKIN Globaaleja muuttujia


implementation

{$R *.dfm}


procedure TFormAanestyspohja.ButtonAanestaClick(Sender: TObject);
(*
  procedure aanesta(var aanet: Integer);   // void aanesta(int *aanet)
  begin
    aanet := aanet + 1;
    // aanet^ := aanet^ + 1;
    // *aanet = *aanet + 1;  // *aanet += 1;  // (*aanet)++;
  end;
*)
  var kysymys : string;
begin
  if (RadioGroupAanestys.ItemIndex = -1) then exit;

  Inc(aanet[RadioGroupAanestys.ItemIndex]);
  paivita;
end;

procedure TFormAanestyspohja.paivita();
var s: String; i:Integer;
begin
  s := '';

  for i:=0 to lkm-1 do begin
    s := s + RadioGroupAanestys.Items[i] + ': ' + IntToStr(aanet[i]);
  end;
  LabelAanet.Caption := s;

end;

var varit : array[0..3] of TColor = (clGreen,clRed,clYellow,clBlue);

function annavari(i:integer):TColor;
begin
  Result := varit[i mod Length(varit)];
end;

procedure TFormAanestyspohja.FormCreate(Sender: TObject);
var i : integer;
begin
//  kylla := 0;
//  ei := 0;
//  eos := 0;
  Flkm := RadioGroupAanestys.Items.Count;

  SetLength(aanet,lkm);
  for i:=0 to lkm-1 do begin
    aanet[i] := 0;
  end;

end;

end.
